KDE 4.7 PyKDE API Reference

- KDE's Python API

# SimpleTerm Class Reference

`from PyKDE4.nepomuk import *`

Inherits: Nepomuk.Query.Term
Namespace: Nepomuk.Query

## Detailed Description

\class SimpleTerm simpleterm.h Nepomuk/Query/SimpleTerm

Abstract base class for NegationTerm and ComparisonTerm which maintains one sub-term.

Author:
  Sebastian Trueg <trueg@kde.org>

Since:
  4.4

## Methods
| __init__ (self, Nepomuk.Query.Term term)
| setSubTerm (self, Nepomuk.Query.Term term)
Nepomuk.Query.Term | subTerm (self)

## Method Documentation

__init__ | ( | self, |
|  | Nepomuk.Query.Term | term
| ) |  |  |

\cond protected_error_members

setSubTerm | ( | self, |
|  | Nepomuk.Query.Term | term
| ) |  |  |

Set the sub term to match against.

\sa subTerm()

Nepomuk.Query.Term subTerm | ( |  | self ) |

The sub term to match against.

\sa setSubTerm()